/v1/communities/{community_id}/hides/{src_actor_id}/{post_id}AuthUn-hide a post. Idempotent — 204 either way.
Path parameters
community_id*stringSocial community UUID. Must belong to the PAK's workspace.
src_actor_id*stringThe actor who hid the post.
post_id*stringThe hidden post UUID.
Response · 204
Un-hidden (or no-op).
Example
Request
DELETE https://social.productcraft.co/v1/communities/{community_id}/hides/{src_actor_id}/{post_id}
Authorization: Bearer YOUR_TOKENimport { Social } from "@productcraft/social";
// Reads PRODUCTCRAFT_API_KEY from the environment
const social = new Social();
await social.community("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f").hides.delete("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");social.community(…).hides.delete(srcActorId, postId, options?): void